#! Flux3D 11.2


newProject()
GeomMeshOptions[1].methodAutomaticMeshVolume=OptimizeDelaunayMeshInactivated()
    
SymmetryXYplane(physicalType=SymmetryNotDefined(),
                position='0')

SymmetryAngleAboutZ(physicalType=SymmetryNotDefined(),
                    position='-45')

SymmetryAngleAboutZ(physicalType=SymmetryNotDefined(),
                    position='-90')

ParameterGeom(name='SD : Depth of a bridle surface layer',
              expression='1')

CoordSysCylindrical(name='CYL : Bridle cylindrical coordinate system',
                    parentCoordSys=GlobalUnits(lengthUnit=LengthUnit['MILLIMETER'],
                    angleUnit=AngleUnit['DEGREE']),
                    origin=['0',
                    '0',
                    '0'],
                    rotationAngles=RotationAngles(angleX='0',
                    angleY='0',
                    angleZ='0'))

TransfTranslationVector(name='HB : Translation to build the bridle',
                        coordSys=CoordSys['XYZ1'],
                        vector=['0',
                        '0',
                        '30'])

PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['CYL'],
                 uvw=['0',
                 '0',
                 '0'],
                 nature=Nature['STANDARD'])

PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['CYL'],
                 uvw=['25.4',
                 '-90',
                 '0'],
                 nature=Nature['STANDARD'])

PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['CYL'],
                 uvw=['25.4',
                 '-45',
                 '0'],
                 nature=Nature['STANDARD'])

PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['CYL'],
                 uvw=['Sqrt(30*30+30*30)-(30-27)*Cosd(45)',
                 '-45',
                 '0'],
                 nature=Nature['STANDARD'])

PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['CYL'],
                 uvw=['Sqrt(30*30+30*30)-(30-27)*Cosd(45)-SD',
                 '-45',
                 '0'],
                 nature=Nature['STANDARD'])

PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['XYZ1'],
                 uvw=['0',
                 '-30+SD',
                 '0'],
                 nature=Nature['STANDARD'])

PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['XYZ1'],
                 uvw=['27-(Sqrt(2)*SD-SD)',
                 '-30+SD',
                 '0'],
                 nature=Nature['STANDARD'])

PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['XYZ1'],
                 uvw=['27',
                 '-30',
                 '0'],
                 nature=Nature['STANDARD'])

PointCoordinates(color=Color['White'],
                 visibility=Visibility['VISIBLE'],
                 coordSys=CoordSys['XYZ1'],
                 uvw=['0',
                 '-30',
                 '0'],
                 nature=Nature['STANDARD'])

LineSegment(color=Color['White'],
            visibility=Visibility['VISIBLE'],
            defPoint=[Point[1],
            Point[2]],
            nature=Nature['STANDARD'])

LineSegment(color=Color['White'],
            visibility=Visibility['VISIBLE'],
            defPoint=[Point[1],
            Point[3]],
            nature=Nature['STANDARD'])

LineSegment(color=Color['White'],
            visibility=Visibility['VISIBLE'],
            defPoint=[Point[2],
            Point[6]],
            nature=Nature['STANDARD'])

LineSegment(color=Color['White'],
            visibility=Visibility['VISIBLE'],
            defPoint=[Point[6],
            Point[9]],
            nature=Nature['STANDARD'])

LineSegment(color=Color['White'],
            visibility=Visibility['VISIBLE'],
            defPoint=[Point[3],
            Point[5]],
            nature=Nature['STANDARD'])

LineSegment(color=Color['White'],
            visibility=Visibility['VISIBLE'],
            defPoint=[Point[5],
            Point[4]],
            nature=Nature['STANDARD'])

LineSegment(color=Color['White'],
            visibility=Visibility['VISIBLE'],
            defPoint=[Point[6],
            Point[7]],
            nature=Nature['STANDARD'])

LineSegment(color=Color['White'],
            visibility=Visibility['VISIBLE'],
            defPoint=[Point[7],
            Point[5]],
            nature=Nature['STANDARD'])

LineSegment(color=Color['White'],
            visibility=Visibility['VISIBLE'],
            defPoint=[Point[9],
            Point[8]],
            nature=Nature['STANDARD'])

LineSegment(color=Color['White'],
            visibility=Visibility['VISIBLE'],
            defPoint=[Point[8],
            Point[4]],
            nature=Nature['STANDARD'])

LineSegment(color=Color['White'],
            visibility=Visibility['VISIBLE'],
            defPoint=[Point[7],
            Point[8]],
            nature=Nature['STANDARD'])

LineArcAngle(color=Color['White'],
             visibility=Visibility['VISIBLE'],
             coordSys=CoordSys['CYL'],
             angle='45',
             defPoint=[Point[2],
             Point[3]],
             nature=Nature['STANDARD'])

buildFaces()

FaceAutomatic[ALL].extrude(transformation=Transf['HB'],
                           repetitionNumber=1,
                           extrusionType='STANDARD',
                           buildingOption='ADD VOLUMES AND ASSOCIATED EXTRUSION MESH GENERATOR')

InfiniteBoxCylinderZ(size=['75',
                     '105',
                     '75',
                     '105'])

LineSegment(color=Color['White'],
            visibility=Visibility['VISIBLE'],
            defPoint=[Point[10],
            Point[20]],
            nature=Nature['STANDARD'])

LineSegment(color=Color['White'],
            visibility=Visibility['VISIBLE'],
            defPoint=[Point[9],
            Point[21]],
            nature=Nature['STANDARD'])

LineSegment(color=Color['White'],
            visibility=Visibility['VISIBLE'],
            defPoint=[Point[4],
            Point[25]],
            nature=Nature['STANDARD'])

buildFaces()

buildVolumes()

AidedMesh[1].aidedMeshState = AidedMeshInactivated()

MeshLineArithmetic(name='BRIDLE_INT',
                   color=Color['Yellow'],
                   number=10)

MeshLineArithmetic(name='BRIDLE_EXT',
                   color=Color['Yellow'],
                   number=12)

MeshLineArithmetic(name='BRIDLE_EDGE',
                   color=Color['Yellow'],
                   number=2)

MeshLineArithmetic(name='INF_BOX_WIDTH',
                   color=Color['Yellow'],
                   number=2)

MeshLineGeometricNumber(name='HOLE_BR',
                        color=Color['Magenta'],
                        number=3,
                        concentrationFactor='1.3')

MeshLineGeometricNumber(name='THICK_BR_90',
                        color=Color['Magenta'],
                        number=3,
                        concentrationFactor='1.3')

MeshLineGeometricNumber(name='THICK_BR_45',
                        color=Color['Magenta'],
                        number=5,
                        concentrationFactor='1.3')

MeshLineGeometricNumber(name='AIR_90',
                        color=Color['Magenta'],
                        number=6,
                        concentrationFactor='1.3')

MeshLineGeometricNumber(name='AIR_45',
                        color=Color['Magenta'],
                        number=4,
                        concentrationFactor='1.5')

MeshLineGeometricNumber(name='AIR_Z',
                        color=Color['Magenta'],
                        number=4,
                        concentrationFactor='1.5')

MeshLineGeometricNumber(name='bridle_height',
                        color=Color['Magenta'],
                        number=6,
                        concentrationFactor='1.3')

LineSegment[1, 2].assignMeshLine(meshLine=MeshLine['HOLE_BR'])

LineArcAngle[12].assignMeshLine(meshLine=MeshLine['BRIDLE_INT'])

LineSegment[5].assignMeshLine(meshLine=MeshLine['THICK_BR_45'])

LineSegment[3].assignMeshLine(meshLine=MeshLine['THICK_BR_90'])

LineSegment[7, 9].assignMeshLine(meshLine=MeshLine['BRIDLE_EXT'])

LineSegment[8, 10].assignMeshLine(meshLine=MeshLine['BRIDLE_EDGE'])

LineExtruded[13].assignMeshLine(meshLine=MeshLine['BRIDLE_HEIGHT'])

Line[3, 1, 13, 2, 5].orientMesh()

LineSegment[51].assignMeshLine(meshLine=MeshLine['AIR_Z'])

LineSegment[52].assignMeshLine(meshLine=MeshLine['AIR_90'])

LineSegment[53].assignMeshLine(meshLine=MeshLine['AIR_45'])

LineSegment[41, 40, 43, 48, 45].assignMeshLine(meshLine=MeshLine['INF_BOX_WIDTH'])

meshDomain()

generateSecondOrderElements()

saveProjectAs('Case1_Geomesh')
    
    
