#! Flux3D 11.2


#executeBatchSpy('solving.py')

# Change the float format
df2 = session.supervisor.getFormaterBuilder().buildIngineerFormaterWithConstantSize(6)
session.supervisor.getFormaterBuilder().setExportFormater(df2)

EvolutiveCurve2D(name='POWER_curve',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['TIME'],
                 limitMin=0.0,
                 limitMax=60.0)]),
                 formula=['POWER'])
                     
EvolutiveCurve2D(name='Losses_curve',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['TIME'],
                 limitMin=0.0,
                 limitMax=60.0)]),
                 formula=['LOSSES'])
                     
EvolutiveCurve2D(name='External_Temperature_curve',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['TIME'],
                 limitMin=0.0,
                 limitMax=60.0)]),
                 formula=['TE1',
                 'TE2',
                 'TE3',
                 'TE4'])
                          
EvolutiveCurve2D(name='Internal_Temperature_curve',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['TIME'],
                 limitMin=0.0,
                 limitMax=60.0)]),
                 formula=['TI1',
                 'TI2',
                 'TI3',
                 'TI4'])

CurveVariation2D['POWER_curve'].exportTXT(txtFile='result/TestCase_RES',
                                    mode='ADD VALUES')
                      
CurveVariation2D['LOSSES_curve'].exportTXT(txtFile='result/TestCase_RES.txt',
                                     mode='ADD VALUES')

CurveVariation2D['EXTERNAL_TEMPERATURE_curve'].exportTXT(txtFile='result/TestCase_RES.txt',
                                                   mode='ADD VALUES')

CurveVariation2D['INTERNAL_TEMPERATURE_curve'].exportTXT(txtFile='result/TestCase_RES.txt',
                                                   mode='ADD VALUES')
          
saveProjectAs('Case1_postprocessed.FLU')      
          
          
          
