#! Flux3D 11.2


#executeBatchSpy('buildPhys.py')
    
Scenario(name='CASE1 : Low frequency heating')


Scenario['CASE1'].addPilot(pilot=MultiValues(parameter=VariationParameter['TIME'],
                           intervals=[IntervalStepValue(minValue=0.0,
                           maxValue=1.0,
                           stepValue=0.5),
                           IntervalStepValue(minValue=1.0,
                           maxValue=22.0,
                           stepValue=1.0),
                           IntervalStepValue(minValue=22.0,
                           maxValue=30.0,
                           stepValue=2.0),
                           IntervalStepValue(minValue=30.0,
                           maxValue=45.0,
                           stepValue=3.0),
                           IntervalStepValue(minValue=45.0,
                           maxValue=60.0,
                           stepValue=5.0)]))


startMacroTransaction()
SolvingOptions['SOLVING_OPTIONS'].parametersLinearSystemSolvers = ParametersLinearSystemSolvers(linearSystemSolverChoice=LinearSystemSolverAutomatic(),
                                                                                                parametersIccg=ParametersIccgAutomatic(),
                                                                                                parametersGmres=ParametersGmresAutomatic(),
                                                                                                parametersBicgstab=ParametersBicgstabAutomatic(),
                                                                                                parametersSuperlu=ParametersSuperluAutomatic(),
                                                                                                parametersAutomaticScaling=ParametersAutomaticScalingAutomatic(),
                                                                                                userSubroutineLinearSolverParameters=ParametersLinearSolverByUserSubroutine(algorithmName='USER_LINEAR_SOLVER'))

SolvingOptions['SOLVING_OPTIONS'].VariablesInitialization = NoReset()

endMacroTransaction()
    
Scenario['CASE1'].solve(projectName='Case1_Solved.FLU')
    
# Save project
saveProject()
    
    
    
