#! Flux3D 11.2


#executeBatchSpy('buildGeomesh.py')

deleteMesh()

Application[2].frequency = '200000'


ParameterGeom['SD'].expression = '0.6'

AidedMesh[1].aidedMeshState = AidedMeshInactivated()
    
startMacroTransaction()
MeshLine['BRIDLE_EDGE'].number = 3

MeshLine['BRIDLE_EXT'].number = 20

MeshLine['AIR_45'].number = 5

MeshLine['AIR_Z'].number = 3

MeshLine['BRIDLE_HEIGHT'].number = 15

MeshLine['BRIDLE_HEIGHT'].concentrationFactor = '1.05'

MeshLine['THICK_BR_45'].number = 6

endMacroTransaction()

meshDomain()

generateSecondOrderElements()

startMacroTransaction()
Material['STEEL_LF'].propertyBH = PropertyBhTdependentLinear(coeffT=TemperatureCoefficientExponentiel(tau=Temperature(temperature='150',
                                                             unit=Unit['CELSIUS_DEGREE']),
                                                             tCurie=Temperature(temperature='760',
                                                             unit=Unit['CELSIUS_DEGREE'])),
                                                             mu='87.15',
                                                             temperature=Temperature(temperature='0',
                                                             unit=Unit['CELSIUS_DEGREE']))

Material['STEEL_LF'].name = 'STEEL_HF'

endMacroTransaction()

RegionVolume['BRIDLE'].magneticACThermal3D = magneticACThermal3DVolume(thermalType=Thermal3DVolumeThermalConductor(),
                                                                       magneticType=MagneticAC3DVolumeSurfaceImpedance(thermalCondition=ThermalCouplingExchange(coefExchange=ExchangeConstant(tExternal=Temperature(temperature='20',
                                                                       unit=Unit['CELSIUS_DEGREE']),
                                                                       value=['20',
                                                                       '0.8']))),
                                                                       material=Material['STEEL_HF'])


SensorIntegral['LOSSES', 'POWER'].delete()
RegionFace[ALL].deleteForce()
startMacroTransaction()
CoilConductor['LF_INDUCTOR'].rmsModulus = '1700'

CoilConductor['LF_INDUCTOR'].name = 'HF_INDUCTOR'

endMacroTransaction()

startMacroTransaction()
Coil[1].radius = '42.15'

Coil[1].section = ComposedCoilLineSection(height='69',
                                          thickness='0.3')

endMacroTransaction()
    
saveProjectAs('Case2_Phys')
    
    
