#! Flux3D 11.2


#executeBatchSpy('solving.py')

# Change the float format
df2 = session.supervisor.getFormaterBuilder().buildIngineerFormaterWithConstantSize(6)
session.supervisor.getFormaterBuilder().setExportFormater(df2)
lastInstance = SensorIntegralFace(name='POWER',
                                  spatialFormula='dHeatS',
                                  support=SupportIntegralRegionFace(region=[RegionFace['RSURF_BRIDLE_AIR']]))


lastInstance = SensorIntegralFace(name='LOSSES',
                                  spatialFormula='dExchangeS',
                                  support=SupportIntegralRegionFace(region=[RegionFace['RSURF_BRIDLE_AIR']]))
  
  
EvolutiveCurve2D(name='power',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['TIME'],
                 limitMin=0.0,
                 limitMax=60.0)]),
                 formula=['POWER'])

EvolutiveCurve2D(name='losses',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['TIME'],
                 limitMin=0.0,
                 limitMax=60.0)]),
                 formula=['LOSSES'])
                 
EvolutiveCurve2D(name='external_temperature',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['TIME'],
                 limitMin=0.0,
                 limitMax=60.0)]),
                 formula=['TE1',
                 'TE2',
                 'TE3',
                 'TE4'])             
                 
EvolutiveCurve2D(name='internal_temperature',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['TIME'],
                 limitMin=0.0,
                 limitMax=60.0)]),
                 formula=['TI1',
                 'TI2',
                 'TI3',
                 'TI4'])
                          
CurveVariation2D['POWER'].exportTXT(txtFile='result/TestCase_RES',
                                    mode='ADD VALUES')
          
CurveVariation2D['LOSSES'].exportTXT(txtFile='result/TestCase_RES.txt',
                                     mode='ADD VALUES')

CurveVariation2D['EXTERNAL_TEMPERATURE'].exportTXT(txtFile='result/TestCase_RES.txt',
                                                   mode='ADD VALUES')
          
CurveVariation2D['INTERNAL_TEMPERATURE'].exportTXT(txtFile='result/TestCase_RES.txt',
                                                   mode='ADD VALUES')
      
saveProjectAs('Case_2_postprocessed.FLU')      
                      

                      
