#! Flux3D 11.2



#executeBatchSpy('buildPhys.py')

Scenario(name='CASE2 : High frequency heating')


Scenario['CASE2'].addPilot(pilot=MultiValues(parameter=VariationParameter['TIME'],
                           intervals=[IntervalStepValue(minValue=0.0,
                           maxValue=13.0,
                           stepValue=0.1),
                           IntervalStepValue(minValue=13.0,
                           maxValue=17.0,
                           stepValue=0.2),
                           IntervalStepValue(minValue=17.0,
                           maxValue=20.0,
                           stepValue=0.5),
                           IntervalStepValue(minValue=20.0,
                           maxValue=30.0,
                           stepValue=1.0),
                           IntervalStepValue(minValue=30.0,
                           maxValue=40.0,
                           stepValue=2.5),
                           IntervalStepValue(minValue=40.0,
                           maxValue=60.0,
                           stepValue=5.0)]))


startMacroTransaction()
SolvingOptions['SOLVING_OPTIONS'].newtonRaphsonParameters = ParametersNewtonRaphson(precision=1.0E-5,
                                                                                    maximumIterationNumber=200,
                                                                                    relaxationFactorComputationMethod=ParametersNewtonRaphsonRelaxationFactorComputationMethodOptimal())

SolvingOptions['SOLVING_OPTIONS'].electromagneticThermalCouplingParameters = ParametersElectromagneticThermalCoupling(updatingPrecision=1.0E-4,
                                                                                                                      minAndMaxUpdatingNumbers=[1,
                                                                                                                      5])

endMacroTransaction()
    
Scenario['CASE2'].solve(projectName='Case2_Solved.FLU')
    
# Save project
saveProject()
    
    
